rte_port_ring.h(3)

NAME
rte_port_ring.h

SYNOPSIS

#include <stdint.h>
#include 'rte_port.h'

  Data Structures

struct rte_port_ring_reader_params
struct rte_port_ring_writer_params
struct rte_port_ring_writer_nodrop_params

  Macros

#define rte_port_ring_multi_reader_params rte_port_ring_reader_params
#define rte_port_ring_multi_writer_params rte_port_ring_writer_params
#define rte_port_ring_multi_writer_nodrop_params rte_port_ring_writer_nodrop_params

  Variables

struct rte_port_in_ops rte_port_ring_reader_ops
struct rte_port_out_ops rte_port_ring_writer_ops
struct rte_port_out_ops rte_port_ring_writer_nodrop_ops
struct rte_port_in_ops rte_port_ring_multi_reader_ops
struct rte_port_out_ops rte_port_ring_multi_writer_ops
struct rte_port_out_ops rte_port_ring_multi_writer_nodrop_ops

Detailed Description

RTE Port Ring

ring_reader: input port built on top of pre-initialized single consumer ring ring_writer: output port built on top of pre-initialized single producer ring ring_multi_reader: input port built on top of pre-initialized multi consumers ring ring_multi_writer: output port built on top of pre-initialized multi producers ring

Definition in file rte_port_ring.h.

Macro Definition Documentation

  #define rte_port_ring_multi_reader_params rte_port_ring_reader_params
ring_multi_reader port parameters

Definition at line 69 of file rte_port_ring.h.

  #define rte_port_ring_multi_writer_params rte_port_ring_writer_params
ring_multi_writer port parameters

Definition at line 75 of file rte_port_ring.h.

  #define rte_port_ring_multi_writer_nodrop_params rte_port_ring_writer_nodrop_params
ring_multi_writer_nodrop port parameters

Definition at line 81 of file rte_port_ring.h.

Variable Documentation

  struct rte_port_in_ops rte_port_ring_reader_ops [extern]
ring_reader port operations

  struct rte_port_out_ops rte_port_ring_writer_ops [extern]
ring_writer port operations

  struct rte_port_out_ops rte_port_ring_writer_nodrop_ops [extern]
ring_writer_nodrop port operations

  struct rte_port_in_ops rte_port_ring_multi_reader_ops [extern]
ring_multi_reader port operations

  struct rte_port_out_ops rte_port_ring_multi_writer_ops [extern]
ring_multi_writer port operations

  struct rte_port_out_ops rte_port_ring_multi_writer_nodrop_ops [extern]
ring_multi_writer_nodrop port operations

Author

Generated automatically by Doxygen for DPDK from the source code.